الانتقال إلى المحتوى الرئيسي
GET
/
v1
/
public
/
accounts
/
{account_id}
/
dedicated-ips
/
available-options
القائمة المتاحة IPs المخصصة
curl --request GET \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips/available-options \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "asn": 123,
    "country_code": "<string>",
    "ip_addresses": [
      {
        "ip": "<string>",
        "fcrdns_confirmed": false,
        "healthy": true,
        "rdns": "<string>"
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

التفويضات

Authorization
string
header
مطلوب

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

معلمات المسار

account_id
string<uuid>
مطلوب

معلمات الاستعلام

asn
string | null
country_code
string | null

الاستجابة

id
string<uuid>
مطلوب

خيار المخزون UUID

name
string
مطلوب

اسم خيار المخزون المرئي للعميل

asn
integer | null

رقم النظام المستقل للخيار

country_code
string | null

رمز البلد ISO للخيار

ip_addresses
PublicDedicatedIpAddressResponse · object[]

العناوين العامة المدرجة في هذا الخيار